{ lib, ... }:
{
  options.nixvim-config = {
    enable = lib.mkEnableOption "Enable nixvim-config";

    enable-ai = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable ai plugins";
    };

    enable-startify-cowsay = lib.mkOption {
      type = lib.types.bool;
      default = false;
      description = "Enable startify cowsay";
    };

    startify-header = lib.mkOption {
      type = lib.types.nullOr (lib.types.listOf lib.types.str);
      default = null;
      description = "Startify text/ascii image, if cowsay disabled";
    };
  };
}
