{ config, lib, ... }:
let
  header-space = "    ";
in
{
  programs.nixvim = {
    plugins.startify = {
      enable = true;
      settings = {
        custom_header = if config.nixvim-config.enable-startify-cowsay then null
        else if config.nixvim-config.startify-header != null
        then config.nixvim-config.startify-header else [
        ''${header-space} _______             ____   ____.___   _____''
        ''${header-space} \      \   ____  ___\   \ /   /|   | /     \''
        ''${header-space} /   |   \_/ __ \/  _ \   Y   / |   |/  \ /  \''
        ''${header-space}/    |    \  ___(  <_> )     /  |   /    Y    \''
        ''${header-space}\____|__  /\___  >____/ \___/   |___\____|__  /''
        ''${header-space}        \/     \/                           \/''
        ];
      };
    };
  };
}
